<?xml version="1.0" encoding="UTF-8"?>
<configurationDescriptor version="65">
  <logicalFolder name="root" displayName="root" projectFiles="true">
    <logicalFolder name="HeaderFiles"
                   displayName="Header Files"
                   projectFiles="true">
      <logicalFolder name="f1" displayName="config" projectFiles="true">
        <logicalFolder name="f1" displayName="default" projectFiles="true">
          <logicalFolder name="f2" displayName="driver" projectFiles="true">
            <logicalFolder name="f1" displayName="usart" projectFiles="true">
              <itemPath>../src/config/default/driver/usart/drv_usart_definitions.h</itemPath>
              <itemPath>../src/config/default/driver/usart/drv_usart.h</itemPath>
            </logicalFolder>
            <itemPath>../src/config/default/driver/driver.h</itemPath>
            <itemPath>../src/config/default/driver/driver_common.h</itemPath>
          </logicalFolder>
          <logicalFolder name="f4" displayName="osal" projectFiles="true">
            <itemPath>../src/config/default/osal/osal.h</itemPath>
            <itemPath>../src/config/default/osal/osal_definitions.h</itemPath>
            <itemPath>../src/config/default/osal/osal_impl_basic.h</itemPath>
          </logicalFolder>
          <logicalFolder name="f1" displayName="peripheral" projectFiles="true">
            <logicalFolder name="f5" displayName="clock" projectFiles="true">
              <itemPath>../src/config/default/peripheral/clock/plib_clock.h</itemPath>
            </logicalFolder>
            <logicalFolder name="f2" displayName="evsys" projectFiles="true">
              <itemPath>../src/config/default/peripheral/evsys/plib_evsys.h</itemPath>
            </logicalFolder>
            <logicalFolder name="f6" displayName="nvic" projectFiles="true">
              <itemPath>../src/config/default/peripheral/nvic/plib_nvic.h</itemPath>
            </logicalFolder>
            <logicalFolder name="f1" displayName="nvmctrl" projectFiles="true">
              <itemPath>../src/config/default/peripheral/nvmctrl/plib_nvmctrl.h</itemPath>
            </logicalFolder>
            <logicalFolder name="f3" displayName="pm" projectFiles="true">
              <itemPath>../src/config/default/peripheral/pm/plib_pm.h</itemPath>
            </logicalFolder>
            <logicalFolder name="f4" displayName="port" projectFiles="true">
              <itemPath>../src/config/default/peripheral/port/plib_port.h</itemPath>
            </logicalFolder>
            <logicalFolder name="f8" displayName="sercom" projectFiles="true">
              <logicalFolder name="f1" displayName="usart" projectFiles="true">
                <itemPath>../src/config/default/peripheral/sercom/usart/plib_sercom4_usart.h</itemPath>
                <itemPath>../src/config/default/peripheral/sercom/usart/plib_sercom_usart_common.h</itemPath>
              </logicalFolder>
            </logicalFolder>
            <logicalFolder name="f7" displayName="systick" projectFiles="true">
              <itemPath>../src/config/default/peripheral/systick/plib_systick.h</itemPath>
            </logicalFolder>
          </logicalFolder>
          <logicalFolder name="f3" displayName="system" projectFiles="true">
            <logicalFolder name="f3" displayName="debug" projectFiles="true">
              <itemPath>../src/config/default/system/debug/sys_debug.h</itemPath>
            </logicalFolder>
            <logicalFolder name="f2" displayName="dma" projectFiles="true">
              <itemPath>../src/config/default/system/dma/sys_dma.h</itemPath>
              <itemPath>../src/config/default/system/dma/sys_dma_mapping.h</itemPath>
            </logicalFolder>
            <logicalFolder name="f1" displayName="int" projectFiles="true">
              <itemPath>../src/config/default/system/int/sys_int.h</itemPath>
              <itemPath>../src/config/default/system/int/sys_int_mapping.h</itemPath>
            </logicalFolder>
            <itemPath>../src/config/default/system/system.h</itemPath>
            <itemPath>../src/config/default/system/system_common.h</itemPath>
            <itemPath>../src/config/default/system/system_module.h</itemPath>
          </logicalFolder>
          <itemPath>../src/config/default/device.h</itemPath>
          <itemPath>../src/config/default/device_cache.h</itemPath>
          <itemPath>../src/config/default/toolchain_specifics.h</itemPath>
          <itemPath>../src/config/default/definitions.h</itemPath>
          <itemPath>../src/config/default/interrupts.h</itemPath>
          <itemPath>../src/config/default/device_vectors.h</itemPath>
          <itemPath>../src/config/default/user.h</itemPath>
          <itemPath>../src/config/default/configuration.h</itemPath>
        </logicalFolder>
      </logicalFolder>
      <logicalFolder name="f2" displayName="packs" projectFiles="true">
        <logicalFolder name="f1" displayName="ATSAML21J18B_DFP" projectFiles="true">
          <logicalFolder name="f1" displayName="component" projectFiles="true">
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/rstc.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/pac.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/adc.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/evsys.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/supc.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/pm.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/dac.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/tc.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/port.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/osc32kctrl.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/ccl.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/dsu.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/opamp.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/eic.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/dmac.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/aes.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/trng.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/ac.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/mtb.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/gclk.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/rtc.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/ptc.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/usb.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/sercom.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/nvmctrl.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/mclk.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/tcc.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/oscctrl.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/component/wdt.h</itemPath>
          </logicalFolder>
          <logicalFolder name="f2" displayName="instance" projectFiles="true">
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/rstc.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/pac.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/adc.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/evsys.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/supc.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/pm.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/dac.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/tc2.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/port.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/sercom2.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/osc32kctrl.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/ccl.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/tc1.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/sercom1.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/dsu.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/tcc0.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/opamp.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/sercom5.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/eic.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/dmac.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/tc4.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/tc0.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/aes.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/trng.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/ac.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/tcc1.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/mtb.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/gclk.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/sercom0.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/rtc.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/ptc.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/usb.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/sercom4.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/nvmctrl.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/tc3.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/mclk.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/tcc2.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/sercom3.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/oscctrl.h</itemPath>
            <itemPath>../src/packs/ATSAML21J18B_DFP/instance/wdt.h</itemPath>
          </logicalFolder>
          <logicalFolder name="f3" displayName="pio" projectFiles="true">
            <itemPath>../src/packs/ATSAML21J18B_DFP/pio/saml21j18b.h</itemPath>
          </logicalFolder>
          <itemPath>../src/packs/ATSAML21J18B_DFP/saml21j18b.h</itemPath>
        </logicalFolder>
        <logicalFolder name="f2" displayName="CMSIS" projectFiles="true">
          <logicalFolder name="f1" displayName="CMSIS" projectFiles="true">
            <logicalFolder name="f1" displayName="Core" projectFiles="true">
              <logicalFolder name="f1" displayName="Include" projectFiles="true">
                <itemPath>../src/packs/CMSIS/CMSIS/Core/Include/cmsis_version.h</itemPath>
                <itemPath>../src/packs/CMSIS/CMSIS/Core/Include/cmsis_compiler.h</itemPath>
                <itemPath>../src/packs/CMSIS/CMSIS/Core/Include/cmsis_iccarm.h</itemPath>
                <itemPath>../src/packs/CMSIS/CMSIS/Core/Include/cmsis_gcc.h</itemPath>
                <itemPath>../src/packs/CMSIS/CMSIS/Core/Include/cmsis_armcc.h</itemPath>
                <itemPath>../src/packs/CMSIS/CMSIS/Core/Include/cmsis_armclang.h</itemPath>
                <itemPath>../src/packs/CMSIS/CMSIS/Core/Include/cmsis_armclang_ltm.h</itemPath>
                <itemPath>../src/packs/CMSIS/CMSIS/Core/Include/core_cm0plus.h</itemPath>
                <itemPath>../src/packs/CMSIS/CMSIS/Core/Include/mpu_armv7.h</itemPath>
                <itemPath>../src/packs/CMSIS/CMSIS/Core/Include/cachel1_armv7.h</itemPath>
              </logicalFolder>
            </logicalFolder>
          </logicalFolder>
        </logicalFolder>
      </logicalFolder>
      <itemPath>../src/app.h</itemPath>
    </logicalFolder>
    <logicalFolder name="LinkerScript"
                   displayName="Linker Files"
                   projectFiles="true">
      <logicalFolder name="f1" displayName="config" projectFiles="true">
        <logicalFolder name="f1" displayName="default" projectFiles="true">
          <itemPath>../src/config/default/ATSAML21J18B.ld</itemPath>
        </logicalFolder>
      </logicalFolder>
    </logicalFolder>
    <logicalFolder name="SourceFiles"
                   displayName="Source Files"
                   projectFiles="true">
      <logicalFolder name="f1" displayName="config" projectFiles="true">
        <logicalFolder name="f1" displayName="default" projectFiles="true">
          <logicalFolder name="f2" displayName="driver" projectFiles="true">
            <logicalFolder name="f1" displayName="usart" projectFiles="true">
              <itemPath>../src/config/default/driver/usart/src/drv_usart.c</itemPath>
              <itemPath>../src/config/default/driver/usart/src/drv_usart_local.h</itemPath>
            </logicalFolder>
          </logicalFolder>
          <logicalFolder name="f1" displayName="peripheral" projectFiles="true">
            <logicalFolder name="f5" displayName="clock" projectFiles="true">
              <itemPath>../src/config/default/peripheral/clock/plib_clock.c</itemPath>
            </logicalFolder>
            <logicalFolder name="f2" displayName="evsys" projectFiles="true">
              <itemPath>../src/config/default/peripheral/evsys/plib_evsys.c</itemPath>
            </logicalFolder>
            <logicalFolder name="f6" displayName="nvic" projectFiles="true">
              <itemPath>../src/config/default/peripheral/nvic/plib_nvic.c</itemPath>
            </logicalFolder>
            <logicalFolder name="f1" displayName="nvmctrl" projectFiles="true">
              <itemPath>../src/config/default/peripheral/nvmctrl/plib_nvmctrl.c</itemPath>
            </logicalFolder>
            <logicalFolder name="f3" displayName="pm" projectFiles="true">
              <itemPath>../src/config/default/peripheral/pm/plib_pm.c</itemPath>
            </logicalFolder>
            <logicalFolder name="f4" displayName="port" projectFiles="true">
              <itemPath>../src/config/default/peripheral/port/plib_port.c</itemPath>
            </logicalFolder>
            <logicalFolder name="f8" displayName="sercom" projectFiles="true">
              <logicalFolder name="f1" displayName="usart" projectFiles="true">
                <itemPath>../src/config/default/peripheral/sercom/usart/plib_sercom4_usart.c</itemPath>
              </logicalFolder>
            </logicalFolder>
            <logicalFolder name="f7" displayName="systick" projectFiles="true">
              <itemPath>../src/config/default/peripheral/systick/plib_systick.c</itemPath>
            </logicalFolder>
          </logicalFolder>
          <logicalFolder name="f3" displayName="stdio" projectFiles="true">
            <itemPath>../src/config/default/stdio/xc32_monitor.c</itemPath>
          </logicalFolder>
          <logicalFolder name="f4" displayName="system" projectFiles="true">
            <logicalFolder name="f2" displayName="dma" projectFiles="true">
              <itemPath>../src/config/default/system/dma/sys_dma.c</itemPath>
            </logicalFolder>
            <logicalFolder name="f1" displayName="int" projectFiles="true">
              <itemPath>../src/config/default/system/int/src/sys_int.c</itemPath>
            </logicalFolder>
          </logicalFolder>
          <itemPath>../src/config/default/initialization.c</itemPath>
          <itemPath>../src/config/default/interrupts.c</itemPath>
          <itemPath>../src/config/default/exceptions.c</itemPath>
          <itemPath>../src/config/default/startup_xc32.c</itemPath>
          <itemPath>../src/config/default/libc_syscalls.c</itemPath>
          <itemPath>../src/config/default/tasks.c</itemPath>
        </logicalFolder>
      </logicalFolder>
      <itemPath>../src/main.c</itemPath>
      <itemPath>../src/app.c</itemPath>
    </logicalFolder>
    <logicalFolder name="ExternalFiles"
                   displayName="Important Files"
                   projectFiles="false">
      <logicalFolder name="f1" displayName="default.mhc" projectFiles="true">
        <itemPath>../src/config/default/default.mhc/HarmonyCore.yml</itemPath>
        <itemPath>../src/config/default/default.mhc/core.yml</itemPath>
        <itemPath>../src/config/default/default.mhc/cmsis.yml</itemPath>
        <itemPath>../src/config/default/default.mhc/project.yml</itemPath>
        <itemPath>../src/config/default/default.mhc/GraphSettings.yml</itemPath>
        <itemPath>../src/config/default/default.mhc/dfp.yml</itemPath>
        <itemPath>../src/config/default/default.mhc/pm.yml</itemPath>
        <itemPath>../src/config/default/default.mhc/evsys.yml</itemPath>
        <itemPath>../src/config/default/default.mhc/nvmctrl.yml</itemPath>
        <itemPath>../src/config/default/default.mhc/sercom4.yml</itemPath>
        <itemPath>../src/config/default/default.mhc/drv_usart.yml</itemPath>
        <itemPath>../src/config/default/default.mhc/settings.yml</itemPath>
      </logicalFolder>
      <itemPath>Makefile</itemPath>
      <itemPath>../src/config/default/harmony-manifest-success.yml</itemPath>
    </logicalFolder>
  </logicalFolder>
  <sourceRootList>
    <Elem>../src</Elem>
  </sourceRootList>
  <projectmakefile>Makefile</projectmakefile>
  <confs>
    <conf name="default" type="2">
      <toolsSet>
        <developmentServer>localhost</developmentServer>
        <targetDevice>ATSAML21J18B</targetDevice>
        <targetHeader></targetHeader>
        <targetPluginBoard></targetPluginBoard>
        <platformTool>EdbgTool</platformTool>
        <languageToolchain>XC32</languageToolchain>
        <languageToolchainVersion>3.01</languageToolchainVersion>
        <platform>4</platform>
      </toolsSet>
      <packs>
        <pack name="CMSIS" vendor="ARM" version="5.4.0"/>
        <pack name="SAML21_DFP" vendor="Microchip" version="3.5.87"/>
      </packs>
      <ScriptingSettings>
      </ScriptingSettings>
      <compileType>
        <linkerTool>
          <linkerLibItems>
          </linkerLibItems>
        </linkerTool>
        <archiverTool>
        </archiverTool>
        <loading>
          <useAlternateLoadableFile>false</useAlternateLoadableFile>
          <parseOnProdLoad>false</parseOnProdLoad>
          <alternateLoadableFile></alternateLoadableFile>
        </loading>
        <subordinates>
        </subordinates>
      </compileType>
      <makeCustomizationType>
        <makeCustomizationPreStepEnabled>false</makeCustomizationPreStepEnabled>
        <makeUseCleanTarget>false</makeUseCleanTarget>
        <makeCustomizationPreStep></makeCustomizationPreStep>
        <makeCustomizationPostStepEnabled>false</makeCustomizationPostStepEnabled>
        <makeCustomizationPostStep></makeCustomizationPostStep>
        <makeCustomizationPutChecksumInUserID>false</makeCustomizationPutChecksumInUserID>
        <makeCustomizationEnableLongLines>false</makeCustomizationEnableLongLines>
        <makeCustomizationNormalizeHexFile>false</makeCustomizationNormalizeHexFile>
      </makeCustomizationType>
      <AtmelIceTool>
        <property key="AutoSelectMemRanges" value="auto"/>
        <property key="communication.interface" value="swd"/>
        <property key="communication.speed" value="4.000"/>
        <property key="memories.aux" value="false"/>
        <property key="memories.bootflash" value="true"/>
        <property key="memories.configurationmemory" value="true"/>
        <property key="memories.configurationmemory2" value="true"/>
        <property key="memories.dataflash" value="true"/>
        <property key="memories.eeprom" value="true"/>
        <property key="memories.flashdata" value="true"/>
        <property key="memories.id" value="true"/>
        <property key="memories.instruction.ram.ranges"
                  value="${memories.instruction.ram.ranges}"/>
        <property key="memories.programmemory" value="true"/>
        <property key="memories.programmemory.ranges" value="0x400000-0x5fffff"/>
        <property key="programoptions.eraseb4program" value="false"/>
        <property key="programoptions.preservedataflash" value="false"/>
        <property key="programoptions.preserveeeprom" value="false"/>
        <property key="programoptions.preserveeeprom.ranges" value=""/>
        <property key="programoptions.preserveprogram.ranges" value=""/>
        <property key="programoptions.preserveprogramrange" value="false"/>
        <property key="programoptions.preserveuserid" value="false"/>
      </AtmelIceTool>
      <C32>
        <property key="additional-warnings" value="true"/>
        <property key="addresss-attribute-use" value="false"/>
        <property key="enable-app-io" value="false"/>
        <property key="enable-omit-frame-pointer" value="false"/>
        <property key="enable-symbols" value="true"/>
        <property key="enable-unroll-loops" value="false"/>
        <property key="exclude-floating-point" value="false"/>
        <property key="extra-include-directories"
                  value="../src;../src/config/default;../src/packs/ATSAML21J18B_DFP;../src/packs/CMSIS/;../src/packs/CMSIS/CMSIS/Core/Include"/>
        <property key="generate-16-bit-code" value="false"/>
        <property key="generate-micro-compressed-code" value="false"/>
        <property key="isolate-each-function" value="true"/>
        <property key="make-warnings-into-errors" value="true"/>
        <property key="optimization-level" value="-O1"/>
        <property key="place-data-into-section" value="true"/>
        <property key="post-instruction-scheduling" value="default"/>
        <property key="pre-instruction-scheduling" value="default"/>
        <property key="preprocessor-macros" value=""/>
        <property key="strict-ansi" value="false"/>
        <property key="support-ansi" value="false"/>
        <property key="tentative-definitions" value="-fno-common"/>
        <property key="toplevel-reordering" value=""/>
        <property key="unaligned-access" value=""/>
        <property key="use-cci" value="false"/>
        <property key="use-iar" value="false"/>
        <property key="use-indirect-calls" value="false"/>
      </C32>
      <C32-AR>
        <property key="additional-options-chop-files" value="false"/>
      </C32-AR>
      <C32-AS>
        <property key="assembler-symbols" value=""/>
        <property key="enable-symbols" value="true"/>
        <property key="exclude-floating-point-library" value="false"/>
        <property key="expand-macros" value="false"/>
        <property key="extra-include-directories-for-assembler" value=""/>
        <property key="extra-include-directories-for-preprocessor" value=""/>
        <property key="false-conditionals" value="false"/>
        <property key="generate-16-bit-code" value="false"/>
        <property key="generate-micro-compressed-code" value="false"/>
        <property key="keep-locals" value="false"/>
        <property key="list-assembly" value="false"/>
        <property key="list-source" value="false"/>
        <property key="list-symbols" value="false"/>
        <property key="oXC32asm-list-to-file" value="false"/>
        <property key="omit-debug-dirs" value="false"/>
        <property key="omit-forms" value="false"/>
        <property key="preprocessor-macros" value=""/>
        <property key="warning-level" value=""/>
      </C32-AS>
      <C32-CO>
        <property key="coverage-enable" value=""/>
        <property key="stack-guidance" value="false"/>
      </C32-CO>
      <C32-LD>
        <property key="additional-options-use-response-files" value="false"/>
        <property key="additional-options-write-sla" value="false"/>
        <property key="allocate-dinit" value="false"/>
        <property key="code-dinit" value="false"/>
        <property key="ebase-addr" value=""/>
        <property key="enable-check-sections" value="false"/>
        <property key="exclude-floating-point-library" value="false"/>
        <property key="exclude-standard-libraries" value="false"/>
        <property key="extra-lib-directories" value=""/>
        <property key="fill-flash-options-addr" value=""/>
        <property key="fill-flash-options-const" value=""/>
        <property key="fill-flash-options-how" value="0"/>
        <property key="fill-flash-options-inc-const" value="1"/>
        <property key="fill-flash-options-increment" value=""/>
        <property key="fill-flash-options-seq" value=""/>
        <property key="fill-flash-options-what" value="0"/>
        <property key="generate-16-bit-code" value="false"/>
        <property key="generate-cross-reference-file" value="false"/>
        <property key="generate-micro-compressed-code" value="false"/>
        <property key="heap-size" value="512"/>
        <property key="input-libraries" value=""/>
        <property key="kseg-length" value=""/>
        <property key="kseg-origin" value=""/>
        <property key="linker-symbols" value=""/>
        <property key="map-file" value="${DISTDIR}/${PROJECTNAME}.${IMAGE_TYPE}.map"/>
        <property key="no-device-startup-code" value="true"/>
        <property key="no-startup-files" value="false"/>
        <property key="oXC32ld-extra-opts" value=""/>
        <property key="optimization-level" value=""/>
        <property key="preprocessor-macros" value=""/>
        <property key="remove-unused-sections" value="true"/>
        <property key="report-memory-usage" value="false"/>
        <property key="serial-length" value=""/>
        <property key="serial-origin" value=""/>
        <property key="stack-size" value=""/>
        <property key="symbol-stripping" value=""/>
        <property key="trace-symbols" value=""/>
        <property key="warn-section-align" value="false"/>
      </C32-LD>
      <C32CPP>
        <property key="additional-warnings" value="false"/>
        <property key="addresss-attribute-use" value="false"/>
        <property key="check-new" value="false"/>
        <property key="eh-specs" value="true"/>
        <property key="enable-app-io" value="false"/>
        <property key="enable-omit-frame-pointer" value="false"/>
        <property key="enable-symbols" value="true"/>
        <property key="enable-unroll-loops" value="false"/>
        <property key="exceptions" value="true"/>
        <property key="exclude-floating-point" value="false"/>
        <property key="extra-include-directories"
                  value="../src;../src/config/default;../src/packs/ATSAML21J18B_DFP;../src/packs/CMSIS/;../src/packs/CMSIS/CMSIS/Core/Include"/>
        <property key="generate-16-bit-code" value="false"/>
        <property key="generate-micro-compressed-code" value="false"/>
        <property key="isolate-each-function" value="true"/>
        <property key="make-warnings-into-errors" value="false"/>
        <property key="optimization-level" value="-O1"/>
        <property key="place-data-into-section" value="false"/>
        <property key="post-instruction-scheduling" value="default"/>
        <property key="pre-instruction-scheduling" value="default"/>
        <property key="preprocessor-macros" value=""/>
        <property key="rtti" value="true"/>
        <property key="strict-ansi" value="false"/>
        <property key="toplevel-reordering" value=""/>
        <property key="unaligned-access" value=""/>
        <property key="use-cci" value="false"/>
        <property key="use-iar" value="false"/>
        <property key="use-indirect-calls" value="false"/>
      </C32CPP>
      <C32Global>
        <property key="common-include-directories" value=""/>
        <property key="gp-relative-option" value=""/>
        <property key="legacy-libc" value="false"/>
        <property key="mdtcm" value=""/>
        <property key="mitcm" value=""/>
        <property key="mstacktcm" value="false"/>
        <property key="omit-pack-options" value="1"/>
        <property key="relaxed-math" value="false"/>
        <property key="save-temps" value="false"/>
        <property key="stack-smashing" value=""/>
        <property key="wpo-lto" value="false"/>
      </C32Global>
      <EdbgTool>
        <property key="AutoSelectMemRanges" value="auto"/>
        <property key="communication.activationmode" value="nohv"/>
        <property key="communication.interface" value="swd"/>
        <property key="communication.speed" value="2.000"/>
        <property key="debugoptions.useswbreakpoints" value="false"/>
        <property key="firmware.path"
                  value="Press to browse for a specific firmware version"/>
        <property key="firmware.toolpack"
                  value="Press to select which tool pack to use"/>
        <property key="firmware.update.action" value="firmware.update.use.latest"/>
        <property key="freeze.timers" value="false"/>
        <property key="memories.aux" value="false"/>
        <property key="memories.bootflash" value="true"/>
        <property key="memories.configurationmemory" value="true"/>
        <property key="memories.configurationmemory2" value="true"/>
        <property key="memories.dataflash" value="true"/>
        <property key="memories.eeprom" value="true"/>
        <property key="memories.exclude.configurationmemory" value="true"/>
        <property key="memories.flashdata" value="true"/>
        <property key="memories.id" value="true"/>
        <property key="memories.instruction.ram.ranges"
                  value="${memories.instruction.ram.ranges}"/>
        <property key="memories.programmemory" value="true"/>
        <property key="memories.programmemory.ranges" value="0-3ffff"/>
        <property key="memories.rww" value="true"/>
        <property key="poweroptions.powerenable" value="false"/>
        <property key="programoptions.eraseb4program" value="true"/>
        <property key="programoptions.preservedataflash" value="false"/>
        <property key="programoptions.preservedataflash.ranges"
                  value="${memories.dataflash.default}"/>
        <property key="programoptions.preserveeeprom" value="false"/>
        <property key="programoptions.preserveeeprom.ranges" value=""/>
        <property key="programoptions.preserveprogram.ranges" value=""/>
        <property key="programoptions.preserveprogramrange" value="false"/>
        <property key="programoptions.preserveuserid" value="false"/>
        <property key="programoptions.programuserotp" value="false"/>
        <property key="toolpack.updateoptions"
                  value="toolpack.updateoptions.uselatestoolpack"/>
        <property key="toolpack.updateoptions.packversion"
                  value="Press to select which tool pack to use"/>
        <property key="voltagevalue" value=""/>
      </EdbgTool>
      <PICkit3PlatformTool>
        <property key="ADC 1" value="true"/>
        <property key="AutoSelectMemRanges" value="auto"/>
        <property key="CHANGE NOTICE" value="true"/>
        <property key="COMPARATOR" value="true"/>
        <property key="CTMU" value="true"/>
        <property key="DMA" value="true"/>
        <property key="Freeze All Other Peripherals" value="true"/>
        <property key="I2C1" value="true"/>
        <property key="I2C2" value="true"/>
        <property key="INPUT CAPTURE 1" value="true"/>
        <property key="INPUT CAPTURE 2" value="true"/>
        <property key="INPUT CAPTURE 3" value="true"/>
        <property key="INPUT CAPTURE 4" value="true"/>
        <property key="INPUT CAPTURE 5" value="true"/>
        <property key="INTERRUPT CONTROL" value="true"/>
        <property key="OUTPUT COMPARE 1" value="true"/>
        <property key="OUTPUT COMPARE 2" value="true"/>
        <property key="OUTPUT COMPARE 3" value="true"/>
        <property key="OUTPUT COMPARE 4" value="true"/>
        <property key="OUTPUT COMPARE 5" value="true"/>
        <property key="PARALLEL MASTER/SLAVE PORT" value="true"/>
        <property key="REAL TIME CLOCK" value="true"/>
        <property key="SPI/I2S 1" value="true"/>
        <property key="SPI/I2S 2" value="true"/>
        <property key="SecureSegment.SegmentProgramming" value="FullChipProgramming"/>
        <property key="TIMER1" value="true"/>
        <property key="TIMER2" value="true"/>
        <property key="TIMER3" value="true"/>
        <property key="TIMER4" value="true"/>
        <property key="TIMER5" value="true"/>
        <property key="ToolFirmwareFilePath"
                  value="Press to browse for a specific firmware version"/>
        <property key="ToolFirmwareOption.UseLatestFirmware" value="true"/>
        <property key="UART1" value="true"/>
        <property key="UART2" value="true"/>
        <property key="hwtoolclock.frcindebug" value="false"/>
        <property key="memories.aux" value="false"/>
        <property key="memories.bootflash" value="true"/>
        <property key="memories.configurationmemory" value="true"/>
        <property key="memories.eeprom" value="true"/>
        <property key="memories.flashdata" value="true"/>
        <property key="memories.id" value="true"/>
        <property key="memories.programmemory" value="true"/>
        <property key="memories.programmemory.end" value="0x1d003fff"/>
        <property key="memories.programmemory.start" value="0x1d000000"/>
        <property key="poweroptions.powerenable" value="false"/>
        <property key="programmertogo.imagename" value=""/>
        <property key="programoptions.donoteraseauxmem" value="false"/>
        <property key="programoptions.eraseb4program" value="true"/>
        <property key="programoptions.pgmspeed" value="2"/>
        <property key="programoptions.preserveeeprom" value="false"/>
        <property key="programoptions.preserveprogramrange" value="false"/>
        <property key="programoptions.preserveprogramrange.end" value="0x1d003fff"/>
        <property key="programoptions.preserveprogramrange.start" value="0x1d000000"/>
        <property key="programoptions.preserveuserid" value="false"/>
        <property key="programoptions.testmodeentrymethod" value="VPPFirst"/>
        <property key="programoptions.usehighvoltageonmclr" value="false"/>
        <property key="programoptions.uselvpprogramming" value="false"/>
        <property key="voltagevalue" value="3.25"/>
      </PICkit3PlatformTool>
      <Simulator>
        <property key="codecoverage.enabled" value="Disable"/>
        <property key="codecoverage.enableoutputtofile" value="false"/>
        <property key="codecoverage.outputfile" value=""/>
        <property key="oscillator.auxfrequency" value="120"/>
        <property key="oscillator.auxfrequencyunit" value="Mega"/>
        <property key="oscillator.frequency" value="1"/>
        <property key="oscillator.frequencyunit" value="Mega"/>
        <property key="oscillator.rcfrequency" value="250"/>
        <property key="oscillator.rcfrequencyunit" value="Kilo"/>
        <property key="periphADC1.altscl" value="false"/>
        <property key="periphADC1.minTacq" value=""/>
        <property key="periphADC1.tacqunits" value="microseconds"/>
        <property key="periphADC2.altscl" value="false"/>
        <property key="periphADC2.minTacq" value=""/>
        <property key="periphADC2.tacqunits" value="microseconds"/>
        <property key="periphComp1.gte" value="gt"/>
        <property key="periphComp2.gte" value="gt"/>
        <property key="periphComp3.gte" value="gt"/>
        <property key="periphComp4.gte" value="gt"/>
        <property key="periphComp5.gte" value="gt"/>
        <property key="periphComp6.gte" value="gt"/>
        <property key="reset.scl" value="false"/>
        <property key="reset.type" value="MCLR"/>
        <property key="toolpack.updateoptions"
                  value="toolpack.updateoptions.uselatestoolpack"/>
        <property key="toolpack.updateoptions.packversion"
                  value="Press to select which tool pack to use"/>
        <property key="tracecontrol.include.timestamp" value="summarydataenabled"/>
        <property key="tracecontrol.select" value="0"/>
        <property key="tracecontrol.stallontracebufferfull" value="false"/>
        <property key="tracecontrol.timestamp" value="0"/>
        <property key="tracecontrol.tracebufmax" value="546000"/>
        <property key="tracecontrol.tracefile" value="defmplabxtrace.log"/>
        <property key="tracecontrol.traceresetonrun" value="false"/>
        <property key="uart0io.output" value="window"/>
        <property key="uart0io.outputfile" value=""/>
        <property key="uart0io.uartioenabled" value="false"/>
        <property key="uart1io.output" value="window"/>
        <property key="uart1io.outputfile" value=""/>
        <property key="uart1io.uartioenabled" value="false"/>
        <property key="uart2io.output" value="window"/>
        <property key="uart2io.outputfile" value=""/>
        <property key="uart2io.uartioenabled" value="false"/>
        <property key="uart3io.output" value="window"/>
        <property key="uart3io.outputfile" value=""/>
        <property key="uart3io.uartioenabled" value="false"/>
        <property key="uart4io.output" value="window"/>
        <property key="uart4io.outputfile" value=""/>
        <property key="uart4io.uartioenabled" value="false"/>
        <property key="uart5io.output" value="window"/>
        <property key="uart5io.outputfile" value=""/>
        <property key="uart5io.uartioenabled" value="false"/>
        <property key="uart6io.output" value="window"/>
        <property key="uart6io.outputfile" value=""/>
        <property key="uart6io.uartioenabled" value="false"/>
        <property key="usart0io.output" value="window"/>
        <property key="usart0io.outputfile" value=""/>
        <property key="usart0io.uartioenabled" value="false"/>
        <property key="usart1io.output" value="window"/>
        <property key="usart1io.outputfile" value=""/>
        <property key="usart1io.uartioenabled" value="false"/>
        <property key="usart2io.output" value="window"/>
        <property key="usart2io.outputfile" value=""/>
        <property key="usart2io.uartioenabled" value="false"/>
        <property key="usart3io.output" value="window"/>
        <property key="usart3io.outputfile" value=""/>
        <property key="usart3io.uartioenabled" value="false"/>
        <property key="usart4io.output" value="window"/>
        <property key="usart4io.outputfile" value=""/>
        <property key="usart4io.uartioenabled" value="false"/>
        <property key="usartc0io.output" value="window"/>
        <property key="usartc0io.outputfile" value=""/>
        <property key="usartc0io.uartioenabled" value="false"/>
        <property key="usartc1io.output" value="window"/>
        <property key="usartc1io.outputfile" value=""/>
        <property key="usartc1io.uartioenabled" value="false"/>
        <property key="usartd0io.output" value="window"/>
        <property key="usartd0io.outputfile" value=""/>
        <property key="usartd0io.uartioenabled" value="false"/>
        <property key="usartd1io.output" value="window"/>
        <property key="usartd1io.outputfile" value=""/>
        <property key="usartd1io.uartioenabled" value="false"/>
        <property key="usarte0io.output" value="window"/>
        <property key="usarte0io.outputfile" value=""/>
        <property key="usarte0io.uartioenabled" value="false"/>
        <property key="usarte1io.output" value="window"/>
        <property key="usarte1io.outputfile" value=""/>
        <property key="usarte1io.uartioenabled" value="false"/>
        <property key="usarte2io.output" value="window"/>
        <property key="usarte2io.outputfile" value=""/>
        <property key="usarte2io.uartioenabled" value="false"/>
        <property key="usartf0io.output" value="window"/>
        <property key="usartf0io.outputfile" value=""/>
        <property key="usartf0io.uartioenabled" value="false"/>
        <property key="usartf1io.output" value="window"/>
        <property key="usartf1io.outputfile" value=""/>
        <property key="usartf1io.uartioenabled" value="false"/>
        <property key="warningmessagebreakoptions.W0001_CORE_BITREV_MODULO_EN"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0002_CORE_SECURE_MEMORYACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0003_CORE_SW_RESET" value="report"/>
        <property key="warningmessagebreakoptions.W0004_CORE_WDT_RESET" value="report"/>
        <property key="warningmessagebreakoptions.W0005_CORE_IOPUW_RESET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0006_CORE_CODE_GUARD_PFC_RESET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0007_CORE_DO_LOOP_STACK_UNDERFLOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0008_CORE_DO_LOOP_STACK_OVERFLOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0009_CORE_NESTED_DO_LOOP_RANGE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0010_CORE_SIM32_ODD_WORDACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0011_CORE_SIM32_UNIMPLEMENTED_RAMACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0012_CORE_STACK_OVERFLOW_RESET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0013_CORE_STACK_UNDERFLOW_RESET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0014_CORE_INVALID_OPCODE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0015_CORE_INVALID_ALT_WREG_SET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0016_CORE_STACK_ERROR"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0017_CORE_ODD_RAMWORDACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0018_CORE_UNIMPLEMENTED_RAMACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0019_CORE_UNIMPLEMENTED_PROMACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0020_CORE_ACCESS_NOTIN_X_SPACE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0021_CORE_ACCESS_NOTIN_Y_SPACE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0022_CORE_XMODEND_LESS_XMODSRT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0023_CORE_YMODEND_LESS_YMODSRT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0024_CORE_BITREV_MOD_IS_ZERO"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0025_CORE_HARD_TRAP" value="report"/>
        <property key="warningmessagebreakoptions.W0026_CORE_UNIMPLEMENTED_MEMORYACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0027_CORE_UNIMPLEMENTED_EDSACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0028_TBLRD_WORM_CONFIG_MEMORY"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0029_TBLRD_DEVICE_ID" value="report"/>
        <property key="warningmessagebreakoptions.W0030_CORE_UNIMPLEMENTED_MEMORY_ACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0031_BSLIM_INSUFFICIENT_BOOT_SEGMENT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0032_BSLIM_LIMITS_EXCEEDS_PROG_MEMORY"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0033_CORE_UNPREDICTABLE_OPCODE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0034_CORE_UNALIGNED_MEMORY_ACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0035_CORE_UNIMPLEMENTED_RAMACCESS_NOTRAP"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0040_FPU_DIFF_CP10_CP11"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0041_FPU_ACCESS_DENIED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0042_FPU_PRIVILEGED_ACCESS_ONLY"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0043_FPU_CP_RESERVED_VALUE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0044_FPU_OUT_OF_RANGE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0051_INSTRUCTION_DIV_NOT_ENOUGH_REPEAT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0052_INSTRUCTION_DIV_TOO_MANY_REPEAT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0053_INVALID_INTCON_VS_FIELD_VALUE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0101_SIM_UPDATE_FAILED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0102_SIM_PERIPH_MISSING"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0103_SIM_PERIPH_FAILED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0104_SIM_FAILED_TO_INIT_TOOL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0105_SIM_INVALID_FIELD"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0106_SIM_PERIPH_PARTIAL_SUPPORT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0107_SIM_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0108_SIM_RESERVED_SETTING"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0109_SIM_PERIPHERAL_IN_DEVELOPMENT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0110_SIM_UNEXPECTED_EVENT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0111_SIM_UNSUPPORTED_SELECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0112_SIM_INVALID_OPERATION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0113_SIM_WRITE_TO_PROTECTED_SFR"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0114_SIM_INVALID_KEY" value="report"/>
        <property key="warningmessagebreakoptions.W0115_SIM_FAILED_TO_PARSE_DEVICE_FILE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0116_SIM_STACK_OVERFLOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0117_SIM_STACK_UNDERFLOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0118_SIM_INVALID_FIELD_VALUE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0119_SIM_SAMPLING_RATE_VIOLATION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0201_ADC_NO_STIMULUS_FILE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0202_ADC_GO_DONE_BIT" value="report"/>
        <property key="warningmessagebreakoptions.W0203_ADC_MINIMUM_2_TAD"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0204_ADC_TAD_TOO_SMALL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0205_ADC_UNEXPECTED_TRANSITION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0206_ADC_SAMP_TIME_TOO_SHORT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0207_ADC_NO_PINS_SCANNED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0208_ADC_UNSUPPORTED_CLOCK_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0209_ADC_ANALOG_CHANNEL_DIGITAL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0210_ADC_ANALOG_CHANNEL_OUTPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0211_ADC_PIN_INVALID_CHANNEL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0212_ADC_BAND_GAP_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0213_ADC_RESERVED_SSRC"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0214_ADC_POSITIVE_INPUT_DIGITAL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0215_ADC_POSITIVE_INPUT_OUTPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0216_ADC_NEGATIVE_INPUT_DIGITAL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0217_ADC_NEGATIVE_INPUT_OUTPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0218_ADC_REFERENCE_HIGH_DIGITAL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0219_ADC_REFERENCE_HIGH_OUTPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0220_ADC_REFERENCE_LOW_DIGITAL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0221_ADC_REFERENCE_LOW_OUTPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0222_ADC_OVERFLOW" value="report"/>
        <property key="warningmessagebreakoptions.W0223_ADC_UNDERFLOW" value="report"/>
        <property key="warningmessagebreakoptions.W0224_ADC_CTMU_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0225_ADC_INVALID_CH0S"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0226_ADC_VBAT_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0227_ADC_INVALID_ADCS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0228_ADC_INVALID_ADCS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0229_ADC_INVALID_ADCS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0230_ADC_TRIGSEL_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0231_ADC_NOT_WARMED" value="report"/>
        <property key="warningmessagebreakoptions.W0232_ADC_CALIBRATION_ABORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0233_ADC_CORE_POWERED_EARLY"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0234_ADC_ALREADY_CALIBRATING"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0235_ADC_CAL_TYPE_CHANGED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0236_ADC_CAL_INVALIDATED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0237_ADC_UNKNOWN_DATASHEET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0238_ADC_INVALID_SFR_FIELD_VALUE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0239_ADC_UNSUPPORTED_INPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0240_ADC_NOT_CALIBRATED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0241_ADC_FRACTIONAL_NOT_ALLOWED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0242_ADC_BG_INT_BEFORE_PWR"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0243_ADC_INVALID_TAD" value="report"/>
        <property key="warningmessagebreakoptions.W0244_ADC_CONVERSION_ABORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0245_ADC_BUFREGEN_NOT_ALLOWED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0246_ADC_ACCUMULATION_BAD_RESSEL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0247_ADC_CONVERSION_BAD_RESSEL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0248_ADC_WR_BEFORE_KEY_SEQ"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0400_PWM_PWM_FASTER_THAN_FOSC"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0600_WDT_2ND_WDT_MR_WRITE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0601_WDT_EXPIRED" value="report"/>
        <property key="warningmessagebreakoptions.W0601_WDT_RESET_OUTSIDE_WINDOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0700_CLC_GENERAL_WARNING"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0701_CLC_CLCOUT_AS_INPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0702_CLC_CIRCULAR_LOOP"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0800_ACC_INPUT_INVALID_CONFIG"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0801_ACC_INPUT_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0802_ACC_INVERTED_WINDOW_LIMITS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0803_ACC_MISMATCHED_POS_INPUTS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0804_ACC_WINDOW_COMP_DISABLED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0805_ACC_WINDOW_COMPS_MODES"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0806_ACC_FEATURE_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10001_RESERVED_IRQ_HANDLER_INVOKED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10002_UNSUPPORTED_CLK_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10101_UNSUPPORTED_CHANNEL_MODE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10102_UNSUPPORTED_CLK_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10103_UNSUPPORTED_RECEIVER_FILTER"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10301_NO_PORT_PINS_FOUND"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10500_UNSUPPORTED_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1201_DATAFLASH_MEM_OUTSIDE_RANGE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1202_DATAFLASH_ERASE_WHILE_LOCKED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1203_DATAFLASH_WRITE_WHILE_LOCKED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1401_DMA_PERIPH_NOT_AVAIL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1402_DMA_INVALID_IRQ" value="report"/>
        <property key="warningmessagebreakoptions.W1403_DMA_INVALID_SFR" value="report"/>
        <property key="warningmessagebreakoptions.W1404_DMA_INVALID_DMA_ADDR"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1405_DMA_IRQ_DIR_MISMATCH"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1600_PPS_INVALID_MAP" value="report"/>
        <property key="warningmessagebreakoptions.W1601_PPS_INVALID_PIN_DESCRIPTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1800_PWM_TIMER_SELECTION_NOT_AVIALABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1801_PWM_TIMER_SELECTION_BAD_CLOCK_INPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1802_PWM_TIMER_MISSING_PERSCALER_INFO"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2001_INPUTCAPTURE_TMR3_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2002_INPUTCAPTURE_CAPTURE_EMPTY"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2003_INPUTCAPTURE_SYNCSEL_NOT_AVIALABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2004_INPUTCAPTURE_BAD_SYNC_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2501_OUTPUTCOMPARE_SYNCSEL_NOT_AVIALABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2502_OUTPUTCOMPARE_BAD_SYNC_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2503_OUTPUTCOMPARE_BAD_TRIGGER_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2700_MPU_ILLEGAL_DREGION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2701_MPU_INVALID_REGION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W3000_LPM_READ_PROTECTION_SECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W3010_SPM_WRITE_PROTECTION_SECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W6001_RTT_FORBIDDEN_RTPRES"
                  value="report"/>
        <property key="warningmessagebreakoptions.W6002_RTT_BAD_WRITING_ALMV"
                  value="report"/>
        <property key="warningmessagebreakoptions.W6003_RTT_BAD_WRITING_RTPRES"
                  value="report"/>
        <property key="warningmessagebreakoptions.W7001_SMT_CLK_SELECTION_NOT_SUPPORT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W7002_SMT_SIG_SELECTION_NOT_SUPPORT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W7003_SMT_WIN_SELECTION_NOT_SUPPORT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W8001_OSC_INVALID_CLOCK_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W8002_OSC_RESERVED_FEXTOSC"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9001_TMR_GATE_AND_EXTCLOCK_ENABLED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9002_TMR_NO_PIN_AVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9003_TMR_INVALID_CLOCK_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9201_UART_TX_OVERFLOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9202_UART_TX_CAPTUREFILE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9203_UART_TX_INVALIDINTERRUPTMODE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9204_UART_RX_EMPTY_QUEUE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9205_UART_TX_BADFILE" value="report"/>
        <property key="warningmessagebreakoptions.W9206_UART_RESERVED_MODE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9207_UART_UNABLETOCLOSE_FILE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9401_CVREF_INVALIDSOURCESELECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9402_CVREF_INPUT_OUTPUTPINCONFLICT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9601_COMP_FVR_SOURCE_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9602_COMP_DAC_SOURCE_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9603_COMP_CVREF_SOURCE_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9604_COMP_SLOPE_SOURCE_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9605_COMP_PRG_SOURCE_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9607_COMP_DGTL_FLTR_OPTION_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9609_COMP_DGTL_FLTR_CLK_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9801_FVR_INVALID_MODE_SELECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9801_SCL_BAD_SUBTYPE_INDICATION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9802_SCL_FILE_NOT_FOUND"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9803_SCL_FAILED_TO_READ_FILE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9804_SCL_UNRECOGNIZED_LABEL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9805_SCL_UNRECOGNIZED_VAR"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9901_RTSP_INVALID_OPERATION_SELECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9902_RTSP_FLASH_PROGRAM_WRITE_PROTECTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.displaywarningmessagesoption"
                  value=""/>
        <property key="warningmessagebreakoptions.warningmessages" value="holdstate"/>
      </Simulator>
      <Tool>
        <property key="codecoverage.enabled" value="Disable"/>
        <property key="codecoverage.enableoutputtofile" value="false"/>
        <property key="codecoverage.outputfile" value=""/>
        <property key="oscillator.auxfrequency" value="120"/>
        <property key="oscillator.auxfrequencyunit" value="Mega"/>
        <property key="oscillator.frequency" value="1"/>
        <property key="oscillator.frequencyunit" value="Mega"/>
        <property key="oscillator.rcfrequency" value="250"/>
        <property key="oscillator.rcfrequencyunit" value="Kilo"/>
        <property key="periphADC1.altscl" value="false"/>
        <property key="periphADC1.minTacq" value=""/>
        <property key="periphADC1.tacqunits" value="microseconds"/>
        <property key="periphADC2.altscl" value="false"/>
        <property key="periphADC2.minTacq" value=""/>
        <property key="periphADC2.tacqunits" value="microseconds"/>
        <property key="periphComp1.gte" value="gt"/>
        <property key="periphComp2.gte" value="gt"/>
        <property key="periphComp3.gte" value="gt"/>
        <property key="periphComp4.gte" value="gt"/>
        <property key="periphComp5.gte" value="gt"/>
        <property key="periphComp6.gte" value="gt"/>
        <property key="reset.scl" value="false"/>
        <property key="reset.type" value="MCLR"/>
        <property key="toolpack.updateoptions"
                  value="toolpack.updateoptions.uselatestoolpack"/>
        <property key="toolpack.updateoptions.packversion"
                  value="Press to select which tool pack to use"/>
        <property key="tracecontrol.include.timestamp" value="summarydataenabled"/>
        <property key="tracecontrol.select" value="0"/>
        <property key="tracecontrol.stallontracebufferfull" value="false"/>
        <property key="tracecontrol.timestamp" value="0"/>
        <property key="tracecontrol.tracebufmax" value="546000"/>
        <property key="tracecontrol.tracefile" value="defmplabxtrace.log"/>
        <property key="tracecontrol.traceresetonrun" value="false"/>
        <property key="uart0io.output" value="window"/>
        <property key="uart0io.outputfile" value=""/>
        <property key="uart0io.uartioenabled" value="false"/>
        <property key="uart1io.output" value="window"/>
        <property key="uart1io.outputfile" value=""/>
        <property key="uart1io.uartioenabled" value="false"/>
        <property key="uart2io.output" value="window"/>
        <property key="uart2io.outputfile" value=""/>
        <property key="uart2io.uartioenabled" value="false"/>
        <property key="uart3io.output" value="window"/>
        <property key="uart3io.outputfile" value=""/>
        <property key="uart3io.uartioenabled" value="false"/>
        <property key="uart4io.output" value="window"/>
        <property key="uart4io.outputfile" value=""/>
        <property key="uart4io.uartioenabled" value="false"/>
        <property key="uart5io.output" value="window"/>
        <property key="uart5io.outputfile" value=""/>
        <property key="uart5io.uartioenabled" value="false"/>
        <property key="uart6io.output" value="window"/>
        <property key="uart6io.outputfile" value=""/>
        <property key="uart6io.uartioenabled" value="false"/>
        <property key="usart0io.output" value="window"/>
        <property key="usart0io.outputfile" value=""/>
        <property key="usart0io.uartioenabled" value="false"/>
        <property key="usart1io.output" value="window"/>
        <property key="usart1io.outputfile" value=""/>
        <property key="usart1io.uartioenabled" value="false"/>
        <property key="usart2io.output" value="window"/>
        <property key="usart2io.outputfile" value=""/>
        <property key="usart2io.uartioenabled" value="false"/>
        <property key="usart3io.output" value="window"/>
        <property key="usart3io.outputfile" value=""/>
        <property key="usart3io.uartioenabled" value="false"/>
        <property key="usart4io.output" value="window"/>
        <property key="usart4io.outputfile" value=""/>
        <property key="usart4io.uartioenabled" value="false"/>
        <property key="usartc0io.output" value="window"/>
        <property key="usartc0io.outputfile" value=""/>
        <property key="usartc0io.uartioenabled" value="false"/>
        <property key="usartc1io.output" value="window"/>
        <property key="usartc1io.outputfile" value=""/>
        <property key="usartc1io.uartioenabled" value="false"/>
        <property key="usartd0io.output" value="window"/>
        <property key="usartd0io.outputfile" value=""/>
        <property key="usartd0io.uartioenabled" value="false"/>
        <property key="usartd1io.output" value="window"/>
        <property key="usartd1io.outputfile" value=""/>
        <property key="usartd1io.uartioenabled" value="false"/>
        <property key="usarte0io.output" value="window"/>
        <property key="usarte0io.outputfile" value=""/>
        <property key="usarte0io.uartioenabled" value="false"/>
        <property key="usarte1io.output" value="window"/>
        <property key="usarte1io.outputfile" value=""/>
        <property key="usarte1io.uartioenabled" value="false"/>
        <property key="usarte2io.output" value="window"/>
        <property key="usarte2io.outputfile" value=""/>
        <property key="usarte2io.uartioenabled" value="false"/>
        <property key="usartf0io.output" value="window"/>
        <property key="usartf0io.outputfile" value=""/>
        <property key="usartf0io.uartioenabled" value="false"/>
        <property key="usartf1io.output" value="window"/>
        <property key="usartf1io.outputfile" value=""/>
        <property key="usartf1io.uartioenabled" value="false"/>
        <property key="warningmessagebreakoptions.W0001_CORE_BITREV_MODULO_EN"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0002_CORE_SECURE_MEMORYACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0003_CORE_SW_RESET" value="report"/>
        <property key="warningmessagebreakoptions.W0004_CORE_WDT_RESET" value="report"/>
        <property key="warningmessagebreakoptions.W0005_CORE_IOPUW_RESET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0006_CORE_CODE_GUARD_PFC_RESET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0007_CORE_DO_LOOP_STACK_UNDERFLOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0008_CORE_DO_LOOP_STACK_OVERFLOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0009_CORE_NESTED_DO_LOOP_RANGE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0010_CORE_SIM32_ODD_WORDACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0011_CORE_SIM32_UNIMPLEMENTED_RAMACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0012_CORE_STACK_OVERFLOW_RESET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0013_CORE_STACK_UNDERFLOW_RESET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0014_CORE_INVALID_OPCODE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0015_CORE_INVALID_ALT_WREG_SET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0016_CORE_STACK_ERROR"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0017_CORE_ODD_RAMWORDACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0018_CORE_UNIMPLEMENTED_RAMACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0019_CORE_UNIMPLEMENTED_PROMACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0020_CORE_ACCESS_NOTIN_X_SPACE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0021_CORE_ACCESS_NOTIN_Y_SPACE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0022_CORE_XMODEND_LESS_XMODSRT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0023_CORE_YMODEND_LESS_YMODSRT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0024_CORE_BITREV_MOD_IS_ZERO"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0025_CORE_HARD_TRAP" value="report"/>
        <property key="warningmessagebreakoptions.W0026_CORE_UNIMPLEMENTED_MEMORYACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0027_CORE_UNIMPLEMENTED_EDSACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0028_TBLRD_WORM_CONFIG_MEMORY"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0029_TBLRD_DEVICE_ID" value="report"/>
        <property key="warningmessagebreakoptions.W0030_CORE_UNIMPLEMENTED_MEMORY_ACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0031_BSLIM_INSUFFICIENT_BOOT_SEGMENT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0032_BSLIM_LIMITS_EXCEEDS_PROG_MEMORY"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0033_CORE_UNPREDICTABLE_OPCODE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0034_CORE_UNALIGNED_MEMORY_ACCESS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0035_CORE_UNIMPLEMENTED_RAMACCESS_NOTRAP"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0040_FPU_DIFF_CP10_CP11"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0041_FPU_ACCESS_DENIED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0042_FPU_PRIVILEGED_ACCESS_ONLY"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0043_FPU_CP_RESERVED_VALUE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0044_FPU_OUT_OF_RANGE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0051_INSTRUCTION_DIV_NOT_ENOUGH_REPEAT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0052_INSTRUCTION_DIV_TOO_MANY_REPEAT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0053_INVALID_INTCON_VS_FIELD_VALUE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0101_SIM_UPDATE_FAILED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0102_SIM_PERIPH_MISSING"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0103_SIM_PERIPH_FAILED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0104_SIM_FAILED_TO_INIT_TOOL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0105_SIM_INVALID_FIELD"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0106_SIM_PERIPH_PARTIAL_SUPPORT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0107_SIM_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0108_SIM_RESERVED_SETTING"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0109_SIM_PERIPHERAL_IN_DEVELOPMENT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0110_SIM_UNEXPECTED_EVENT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0111_SIM_UNSUPPORTED_SELECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0112_SIM_INVALID_OPERATION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0113_SIM_WRITE_TO_PROTECTED_SFR"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0114_SIM_INVALID_KEY" value="report"/>
        <property key="warningmessagebreakoptions.W0115_SIM_FAILED_TO_PARSE_DEVICE_FILE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0116_SIM_STACK_OVERFLOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0117_SIM_STACK_UNDERFLOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0118_SIM_INVALID_FIELD_VALUE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0119_SIM_SAMPLING_RATE_VIOLATION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0201_ADC_NO_STIMULUS_FILE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0202_ADC_GO_DONE_BIT" value="report"/>
        <property key="warningmessagebreakoptions.W0203_ADC_MINIMUM_2_TAD"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0204_ADC_TAD_TOO_SMALL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0205_ADC_UNEXPECTED_TRANSITION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0206_ADC_SAMP_TIME_TOO_SHORT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0207_ADC_NO_PINS_SCANNED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0208_ADC_UNSUPPORTED_CLOCK_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0209_ADC_ANALOG_CHANNEL_DIGITAL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0210_ADC_ANALOG_CHANNEL_OUTPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0211_ADC_PIN_INVALID_CHANNEL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0212_ADC_BAND_GAP_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0213_ADC_RESERVED_SSRC"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0214_ADC_POSITIVE_INPUT_DIGITAL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0215_ADC_POSITIVE_INPUT_OUTPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0216_ADC_NEGATIVE_INPUT_DIGITAL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0217_ADC_NEGATIVE_INPUT_OUTPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0218_ADC_REFERENCE_HIGH_DIGITAL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0219_ADC_REFERENCE_HIGH_OUTPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0220_ADC_REFERENCE_LOW_DIGITAL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0221_ADC_REFERENCE_LOW_OUTPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0222_ADC_OVERFLOW" value="report"/>
        <property key="warningmessagebreakoptions.W0223_ADC_UNDERFLOW" value="report"/>
        <property key="warningmessagebreakoptions.W0224_ADC_CTMU_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0225_ADC_INVALID_CH0S"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0226_ADC_VBAT_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0227_ADC_INVALID_ADCS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0228_ADC_INVALID_ADCS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0229_ADC_INVALID_ADCS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0230_ADC_TRIGSEL_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0231_ADC_NOT_WARMED" value="report"/>
        <property key="warningmessagebreakoptions.W0232_ADC_CALIBRATION_ABORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0233_ADC_CORE_POWERED_EARLY"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0234_ADC_ALREADY_CALIBRATING"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0235_ADC_CAL_TYPE_CHANGED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0236_ADC_CAL_INVALIDATED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0237_ADC_UNKNOWN_DATASHEET"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0238_ADC_INVALID_SFR_FIELD_VALUE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0239_ADC_UNSUPPORTED_INPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0240_ADC_NOT_CALIBRATED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0241_ADC_FRACTIONAL_NOT_ALLOWED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0242_ADC_BG_INT_BEFORE_PWR"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0243_ADC_INVALID_TAD" value="report"/>
        <property key="warningmessagebreakoptions.W0244_ADC_CONVERSION_ABORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0245_ADC_BUFREGEN_NOT_ALLOWED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0246_ADC_ACCUMULATION_BAD_RESSEL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0247_ADC_CONVERSION_BAD_RESSEL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0248_ADC_WR_BEFORE_KEY_SEQ"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0400_PWM_PWM_FASTER_THAN_FOSC"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0600_WDT_2ND_WDT_MR_WRITE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0601_WDT_EXPIRED" value="report"/>
        <property key="warningmessagebreakoptions.W0601_WDT_RESET_OUTSIDE_WINDOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0700_CLC_GENERAL_WARNING"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0701_CLC_CLCOUT_AS_INPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0702_CLC_CIRCULAR_LOOP"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0800_ACC_INPUT_INVALID_CONFIG"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0801_ACC_INPUT_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0802_ACC_INVERTED_WINDOW_LIMITS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0803_ACC_MISMATCHED_POS_INPUTS"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0804_ACC_WINDOW_COMP_DISABLED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0805_ACC_WINDOW_COMPS_MODES"
                  value="report"/>
        <property key="warningmessagebreakoptions.W0806_ACC_FEATURE_NOT_SUPPORTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10001_RESERVED_IRQ_HANDLER_INVOKED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10002_UNSUPPORTED_CLK_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10101_UNSUPPORTED_CHANNEL_MODE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10102_UNSUPPORTED_CLK_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10103_UNSUPPORTED_RECEIVER_FILTER"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10301_NO_PORT_PINS_FOUND"
                  value="report"/>
        <property key="warningmessagebreakoptions.W10500_UNSUPPORTED_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1201_DATAFLASH_MEM_OUTSIDE_RANGE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1202_DATAFLASH_ERASE_WHILE_LOCKED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1203_DATAFLASH_WRITE_WHILE_LOCKED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1401_DMA_PERIPH_NOT_AVAIL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1402_DMA_INVALID_IRQ" value="report"/>
        <property key="warningmessagebreakoptions.W1403_DMA_INVALID_SFR" value="report"/>
        <property key="warningmessagebreakoptions.W1404_DMA_INVALID_DMA_ADDR"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1405_DMA_IRQ_DIR_MISMATCH"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1600_PPS_INVALID_MAP" value="report"/>
        <property key="warningmessagebreakoptions.W1601_PPS_INVALID_PIN_DESCRIPTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1800_PWM_TIMER_SELECTION_NOT_AVIALABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1801_PWM_TIMER_SELECTION_BAD_CLOCK_INPUT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W1802_PWM_TIMER_MISSING_PERSCALER_INFO"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2001_INPUTCAPTURE_TMR3_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2002_INPUTCAPTURE_CAPTURE_EMPTY"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2003_INPUTCAPTURE_SYNCSEL_NOT_AVIALABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2004_INPUTCAPTURE_BAD_SYNC_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2501_OUTPUTCOMPARE_SYNCSEL_NOT_AVIALABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2502_OUTPUTCOMPARE_BAD_SYNC_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2503_OUTPUTCOMPARE_BAD_TRIGGER_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2700_MPU_ILLEGAL_DREGION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W2701_MPU_INVALID_REGION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W3000_LPM_READ_PROTECTION_SECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W3010_SPM_WRITE_PROTECTION_SECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W6001_RTT_FORBIDDEN_RTPRES"
                  value="report"/>
        <property key="warningmessagebreakoptions.W6002_RTT_BAD_WRITING_ALMV"
                  value="report"/>
        <property key="warningmessagebreakoptions.W6003_RTT_BAD_WRITING_RTPRES"
                  value="report"/>
        <property key="warningmessagebreakoptions.W7001_SMT_CLK_SELECTION_NOT_SUPPORT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W7002_SMT_SIG_SELECTION_NOT_SUPPORT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W7003_SMT_WIN_SELECTION_NOT_SUPPORT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W8001_OSC_INVALID_CLOCK_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W8002_OSC_RESERVED_FEXTOSC"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9001_TMR_GATE_AND_EXTCLOCK_ENABLED"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9002_TMR_NO_PIN_AVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9003_TMR_INVALID_CLOCK_SOURCE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9201_UART_TX_OVERFLOW"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9202_UART_TX_CAPTUREFILE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9203_UART_TX_INVALIDINTERRUPTMODE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9204_UART_RX_EMPTY_QUEUE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9205_UART_TX_BADFILE" value="report"/>
        <property key="warningmessagebreakoptions.W9206_UART_RESERVED_MODE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9207_UART_UNABLETOCLOSE_FILE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9401_CVREF_INVALIDSOURCESELECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9402_CVREF_INPUT_OUTPUTPINCONFLICT"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9601_COMP_FVR_SOURCE_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9602_COMP_DAC_SOURCE_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9603_COMP_CVREF_SOURCE_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9604_COMP_SLOPE_SOURCE_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9605_COMP_PRG_SOURCE_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9607_COMP_DGTL_FLTR_OPTION_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9609_COMP_DGTL_FLTR_CLK_UNAVAILABLE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9801_FVR_INVALID_MODE_SELECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9801_SCL_BAD_SUBTYPE_INDICATION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9802_SCL_FILE_NOT_FOUND"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9803_SCL_FAILED_TO_READ_FILE"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9804_SCL_UNRECOGNIZED_LABEL"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9805_SCL_UNRECOGNIZED_VAR"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9901_RTSP_INVALID_OPERATION_SELECTION"
                  value="report"/>
        <property key="warningmessagebreakoptions.W9902_RTSP_FLASH_PROGRAM_WRITE_PROTECTED"
                  value="report"/>
        <property key="warningmessagebreakoptions.displaywarningmessagesoption"
                  value=""/>
        <property key="warningmessagebreakoptions.warningmessages" value="holdstate"/>
      </Tool>
    </conf>
  </confs>
</configurationDescriptor>
